#!/bin/sh
# Copyright (c) 2006 Red Hat, Inc. All rights reserved. This copyrighted material 
# is made available to anyone wishing to use, modify, copy, or 
# redistribute it subject to the terms and conditions of the GNU General 
# Public License v.2.
# 
# This program is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# Author: Dave Malcolm

# Source the common test script helpers
. /usr/bin/rhts-environment.sh

echo "Checking to see if the file context on disk matches the system defaults:" >> $OUTPUTFILE
rm -rf /var/tmp/fixfiles.out
/sbin/fixfiles -l /var/tmp/fixfiles.out check

# Ensure result makes it into the log:
echo "***** Begin fixfiles output *****" >> $OUTPUTFILE
cat /var/tmp/fixfiles.out >> $OUTPUTFILE
echo "***** End of fixfiles output *****" >> $OUTPUTFILE

# How many files were incorrectly labelled?
NUM_FILES=`cat /var/tmp/fixfiles.out | wc -l`
echo "Number of mislabelled files: " $NUM_FILES >> $OUTPUTFILE

if [ $NUM_FILES -gt 0 ] ; then
    # Fail for non-zero file count:
    report_result $TEST FAIL $NUM_FILES
else
    # Pass if zero file count:
    report_result $TEST PASS $NUM_FILES
fi

